### Hierarchy

- Math

## Index

### Methods

- acosh
- asinh
- atanh
- cbrt
- clz32
- cosh
- expm1
- fround
- hypot
- imul
- log10
- log1p
- log2
- sign
- sinh
- tanh
- trunc

## Methods

### acosh

- acosh(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:168

  Returns the inverse hyperbolic cosine of a number.

  #### Parameters

  - ##### x: number

    A numeric expression that contains an angle measured in radians.

  #### Returns number

### asinh

- asinh(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:174

  Returns the inverse hyperbolic sine of a number.

  #### Parameters

  - ##### x: number

    A numeric expression that contains an angle measured in radians.

  #### Returns number

### atanh

- atanh(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:180

  Returns the inverse hyperbolic tangent of a number.

  #### Parameters

  - ##### x: number

    A numeric expression that contains an angle measured in radians.

  #### Returns number

### cbrt

- cbrt(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:210

  Returns an implementation-dependent approximation to the cube root of number.

  #### Parameters

  - ##### x: number

    A numeric expression.

  #### Returns number

### clz32

- clz32(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:105

  Returns the number of leading zero bits in the 32-bit binary representation of a number.

  #### Parameters

  - ##### x: number

    A numeric expression.

  #### Returns number

### cosh

- cosh(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:150

  Returns the hyperbolic cosine of a number.

  #### Parameters

  - ##### x: number

    A numeric expression that contains an angle measured in radians.

  #### Returns number

### expm1

- expm1(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:144

  Returns the result of (e^x - 1), which is an implementation-dependent approximation to subtracting 1 from the exponential function of x (e raised to the power of x, where e is the base of the natural logarithms).

  #### Parameters

  - ##### x: number

    A numeric expression.

  #### Returns number

### fround

- fround(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:204

  Returns the nearest single precision float representation of a number.

  #### Parameters

  - ##### x: number

    A numeric expression.

  #### Returns number

### hypot

- hypot(...values: number[]): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:191

  Returns the square root of the sum of squares of its arguments.

  #### Parameters

  - ##### Rest ...values: number[]

    Values to compute the square root for. If no arguments are passed, the result is +0. If there is only one argument, the result is the absolute value. If any argument is +Infinity or -Infinity, the result is +Infinity. If any argument is NaN, the result is NaN. If all arguments are either +0 or −0, the result is +0.

  #### Returns number

### imul

- imul(x: number, y: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:112

  Returns the result of 32-bit multiplication of two numbers.

  #### Parameters

  - ##### x: number

    First number

  - ##### y: number

    Second number

  #### Returns number

### log10

- log10(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:124

  Returns the base 10 logarithm of a number.

  #### Parameters

  - ##### x: number

    A numeric expression.

  #### Returns number

### log1p

- log1p(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:136

  Returns the natural logarithm of 1 + x.

  #### Parameters

  - ##### x: number

    A numeric expression.

  #### Returns number

### log2

- log2(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:130

  Returns the base 2 logarithm of a number.

  #### Parameters

  - ##### x: number

    A numeric expression.

  #### Returns number

### sign

- sign(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:118

  Returns the sign of the x, indicating whether x is positive, negative or zero.

  #### Parameters

  - ##### x: number

    The numeric expression to test

  #### Returns number

### sinh

- sinh(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:156

  Returns the hyperbolic sine of a number.

  #### Parameters

  - ##### x: number

    A numeric expression that contains an angle measured in radians.

  #### Returns number

### tanh

- tanh(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:162

  Returns the hyperbolic tangent of a number.

  #### Parameters

  - ##### x: number

    A numeric expression that contains an angle measured in radians.

  #### Returns number

### trunc

- trunc(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:198

  Returns the integral part of the a numeric expression, x, removing any fractional digits. If x is already an integer, the result is x.

  #### Parameters

  - ##### x: number

    A numeric expression.

  #### Returns number

Generated using TypeDoc